<?php
namespace OxygenApp\Common\Guards;

if ( ! defined( 'ABSPATH' ) ) exit;

class BaseGuard {

    protected static function getFailedResponse(string $message = '', int $statusCode = 400): array {
        
        return [
            'status'  => false,
            'code'    => $statusCode,
            'message' => $message
        ];
    }

    protected static function getSuccessResponse(): array {
        return ['status' => true];
    }
}